package com.rjconsultores.ventaboletos.dao;

import java.math.BigDecimal;
import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.GP_Pricing;
import com.rjconsultores.ventaboletos.entidad.GP_PricingVigencia;
import com.rjconsultores.ventaboletos.vo.pricing.GP_PricingRevisaoValoresVO;

public interface GP_PricingDAO extends GenericDAO<GP_Pricing, Integer> {

    public List<GP_Pricing> buscar(String nombPricing, Empresa empresa,
            Short cantboleto, Integer cantdiasanticipacion,
            BigDecimal descuentoporcentaje, BigDecimal descuentoporcredondo);

    public List<GP_Pricing> buscarPorNombre(String nombPricing);
    
    public List<GP_PricingRevisaoValoresVO> buscarPricingRevisaoValoresVO(List<Integer> classeServicioIds,List<Integer> marcaIds, List<Integer> rutaIds, List<Integer> tramoIds, List<GP_PricingVigencia> lsPricingVigencia);
}
