package com.rjconsultores.ventaboletos.dao;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.TarifaGrupoContrato;
import com.rjconsultores.ventaboletos.vo.configuracioneccomerciales.TarifaGrupoContratoVO;

public interface TarifaGrupoContratoDAO extends GenericDAO<TarifaGrupoContrato, Integer>{
	
	public boolean gravarTarifasGrupoContrato( List<TarifaGrupoContrato> tarifas);

	public TarifaGrupoContrato obterTarifaPeloVo(TarifaGrupoContratoVO tarifa);
	
	public List<TarifaGrupoContrato> buscarTarifaPeloGrupo(Long grupo);
	
	public List<TarifaGrupoContratoVO> buscarTarifasGrupo( Long grupoContratoId );

}
