package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.PtovtaAntifraudeDAO;
import com.rjconsultores.ventaboletos.entidad.PtovtaAntifraude;

@Repository("ptovtaAntifraudeHibernateDAO")
public class PtovtaAntifraudeHibernateDAO extends GenericHibernateDAO<PtovtaAntifraude, Integer> implements PtovtaAntifraudeDAO {
	
    @Autowired
    public PtovtaAntifraudeHibernateDAO(
            @Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

}
