package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.TipoEventoExtraPtovtaDAO;
import com.rjconsultores.ventaboletos.entidad.TipoEventoExtraPtoVta;

@Repository("tipoEventoExtraPtovtaDAO")
public class TipoEventoExtraPtovtaHibernateDAO extends GenericHibernateDAO<TipoEventoExtraPtoVta, Integer> implements
TipoEventoExtraPtovtaDAO {
	
	@Autowired
	public TipoEventoExtraPtovtaHibernateDAO (
			@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<TipoEventoExtraPtoVta> obtenerTodos() {
		Criteria c = getSession().createCriteria(getPersistentClass());

		return c.list();
	}
	
}
