package com.rjconsultores.ventaboletos.dao;

import java.util.List;
import java.util.Optional;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.EmpresaRecargaConfig;

public interface EmpresaRecargaDAO extends GenericDAO<EmpresaRecargaConfig, Integer> {
	
	public List<EmpresaRecargaConfig> obtenerTodos();
	public Optional<EmpresaRecargaConfig> buscarPorEmpresa(Empresa empresa);
	
}
