package com.rjconsultores.ventaboletos.dao;

import java.util.Date;
import java.util.List;

import com.rjconsultores.ventaboletos.entidad.ClaseServicio;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.GP_PricingEspecifico;
import com.rjconsultores.ventaboletos.entidad.Parada;


public interface GP_PricingEspecificoDAO extends GenericDAO<GP_PricingEspecifico, Long> {

    public List<GP_PricingEspecifico> buscarPorNome(GP_PricingEspecifico pricingEspecifico);
    
    public List<GP_PricingEspecifico> buscarPorNome(String nome);

	public List<GP_PricingEspecifico> buscar(List<Empresa> empresas, List<ClaseServicio> tipoClasses, List<Parada> origens, List<Parada> destinos, Date vigenciaInicial, Date vigenciaFinal);
}
