package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.GP_PricingClase;
import com.rjconsultores.ventaboletos.entidad.GP_PricingCorrida;
import com.rjconsultores.ventaboletos.entidad.GP_PricingMarca;
import com.rjconsultores.ventaboletos.entidad.GP_PricingMercado;
import com.rjconsultores.ventaboletos.entidad.GP_PricingOcupaAntecipa;
import com.rjconsultores.ventaboletos.entidad.GP_PricingRuta;
import com.rjconsultores.ventaboletos.entidad.GP_PricingVigencia;
import com.rjconsultores.ventaboletos.vo.pricing.GP_PricingRevisaoValoresVO;

public interface GP_PricingRevisaoValoresService extends GenericService<GP_PricingRevisaoValoresVO, Long> {

	public List<GP_PricingRevisaoValoresVO> buscarPricingRevisaoValoresVO(List<GP_PricingVigencia> lsPricingVigencia, List<GP_PricingClase> lsPricingClase, List<GP_PricingMarca> lsPricingMarca, List<GP_PricingMercado> lsPricingMercado, List<GP_PricingOcupaAntecipa> lsPricingOcupaAntecipa, List<GP_PricingCorrida> lsPricingCorrida,  List<GP_PricingRuta> lsPricingRuta);

}
